//Loop controling routines, (C) Tomasz Kazmierczak 2005, 2006, 2007
//License - GNU GPL v3
//This is not a part of Cytadela - it's just used for debugging and will
//disappear in the final release

void PRE_LOOPfunc(int line, char *file);
void AFTER_LOOPfunc();

//use these when you want to control loops - extremely CPU consuming
#ifdef CONTROL_LOOPS
	#define AFTER_LOOP() AFTER_LOOPfunc()
	#define PRE_LOOP() PRE_LOOPfunc(__LINE__, __FILE__)
#else
	#define PRE_LOOP()
	#define AFTER_LOOP()
#endif
